{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}
{% block app_content %}
<h1>{{ _('Hi, %(username)s!', username=current_user.username) }}</h1>
<!-- {% for post in posts %}
    <div><p>{{ post.author.username }} says: <b>{{ post.body }}</b></p></div>
    {% endfor %} -->
    {% for post in posts %}
        {% include '_post.html' %}
    {% endfor %}
    <nav aria-label="...">
            <ul class="pager">
                <li class="previous {% if not prev_url %} disabled {% endif %}">
                    <a href="{{ prev_url or '#' }}">
                        <span aria-hidden="true">&larr;</span> {{ _('Newer posts') }}
                    </a>
                </li>
                <li class="next {% if not next_url %} disabled {% endif %}">
                        <a href="{{ next_url or '#' }}">
                            <span aria-hidden="true">&larr;</span> {{_('Older posts')}}
                        </a>
                    </li>
            </ul>
        </nav>
    {% if form %}
    <!-- <form action="" method="POST">
        {{form.hidden_tag()}}
        <p>
            {{form.post.label}} <br>
            {{ form.post(cols = 32, rows = 4)}}<br>
            {% for error in form.post.errors %}
            <span style="color: red;">[{{ error }}]</span>
            {% endfor %}
        </p>
        <p>{{form.submit}}</p>
    </form> -->
    <div class="row">
    <div class="col-md-6">
    <form class="form form-horizontal" method="post" role="form">
        {{ form.hidden_tag() }}
        {{ wtf.form_errors(form, hiddens="only") }}

        {{ wtf.form_field(form.post, class='form-control', rows='4') }}
        {{ wtf.form_field(form.submit, class ='btn btn-primary') }}
    </form>
    </div>
    </div>
    {% endif %}

{% endblock %}